Bug 1344038 - Remove --enable-gnomeui. r=karlt
authorMike Hommey <mh+mozilla@glandium.org>
Wed, 08 Mar 2017 15:35:53 +0900
changeset 558285 5fbd12b4d8e7f48343efa361ab8094ebaf1af6b9
parent 558284 91f503f8385118a6f37e2c639a17c43a143e741d
child 558286 4b2f57ec5a584f4c52638cf3024b8a3ddbf88cfe
push id52860
push userbmo:walkingice0204@gmail.com
push dateFri, 07 Apr 2017 13:29:26 +0000
reviewerskarlt
bugs1344038
milestone55.0a1
Bug 1344038 - Remove --enable-gnomeui. r=karlt
build/moz.configure/old.configure
image/decoders/icon/gtk/moz.build
old-configure.in
--- a/build/moz.configure/old.configure
+++ b/build/moz.configure/old.configure
@@ -174,17 +174,16 @@ def old_configure_options(*options):
     '--enable-dump-painting',
     '--enable-elf-hack',
     '--enable-extensions',
     '--enable-faststripe',
     '--enable-feeds',
     '--enable-gamepad',
     '--enable-gconf',
     '--enable-gczeal',
-    '--enable-gnomeui',
     '--enable-gold',
     '--enable-hardware-aec-ns',
     '--enable-icf',
     '--enable-install-strip',
     '--enable-ion',
     '--enable-ios-target',
     '--enable-jitspew',
     '--enable-libjpeg-turbo',
--- a/image/decoders/icon/gtk/moz.build
+++ b/image/decoders/icon/gtk/moz.build
@@ -5,12 +5,9 @@
 # file, You can obtain one at http://mozilla.org/MPL/2.0/.
 
 SOURCES += [
     'nsIconChannel.cpp',
 ]
 
 FINAL_LIBRARY = 'xul'
 
-if CONFIG['MOZ_ENABLE_GNOMEUI']:
-    CXXFLAGS += CONFIG['MOZ_GNOMEUI_CFLAGS']
-else:
-    CXXFLAGS += CONFIG['TK_CFLAGS']
+CXXFLAGS += CONFIG['TK_CFLAGS']
--- a/old-configure.in
+++ b/old-configure.in
@@ -58,17 +58,16 @@ GLIB_VERSION=2.22
 # The macro won't be used when compiling with earlier versions anyway.
 GLIB_VERSION_MIN_REQUIRED=GLIB_VERSION_2_26
 CAIRO_VERSION=1.10
 GTK2_VERSION=2.18.0
 GTK3_VERSION=3.4.0
 GDK_VERSION_MAX_ALLOWED=GDK_VERSION_3_4
 WINDRES_VERSION=2.14.90
 W32API_VERSION=3.14
-GNOMEUI_VERSION=2.2.0
 GCONF_VERSION=1.2.1
 STARTUP_NOTIFICATION_VERSION=0.8
 DBUS_VERSION=0.60
 SQLITE_VERSION=3.18.0
 
 dnl Set various checks
 dnl ========================================================
 MISSING_X=
@@ -2593,48 +2592,16 @@ then
     then
         PKG_CHECK_MODULES(MOZ_LIBPROXY, libproxy-1.0)
         AC_DEFINE(MOZ_ENABLE_LIBPROXY)
     fi
 fi
 AC_SUBST(MOZ_ENABLE_LIBPROXY)
 
 dnl ========================================================
-dnl = libgnomeui support module
-dnl ========================================================
-
-if test "$MOZ_ENABLE_GTK"
-then
-    MOZ_ARG_ENABLE_BOOL(gnomeui,
-    [  --enable-gnomeui        Enable libgnomeui instead of GIO & GTK for icon theme support ],
-        MOZ_ENABLE_GNOMEUI=force,
-        MOZ_ENABLE_GNOMEUI=)
-
-    if test "$MOZ_ENABLE_GNOMEUI"
-    then
-        PKG_CHECK_MODULES(MOZ_GNOMEUI, libgnomeui-2.0 >= $GNOMEUI_VERSION,
-        [
-            MOZ_ENABLE_GNOMEUI=1
-        ],[
-            if test "$MOZ_ENABLE_GNOMEUI" = "force"
-            then
-                AC_MSG_ERROR([* * * Could not find libgnomeui-2.0 >= $GNOMEUI_VERSION])
-            fi
-            MOZ_ENABLE_GNOMEUI=
-        ])
-    fi
-
-    if test "$MOZ_ENABLE_GNOMEUI"; then
-        AC_DEFINE(MOZ_ENABLE_GNOMEUI)
-    fi
-fi
-
-AC_SUBST(MOZ_ENABLE_GNOMEUI)
-
-dnl ========================================================
 dnl = dbus support
 dnl ========================================================
 
 if test "$MOZ_ENABLE_GTK"
 then
     MOZ_ENABLE_DBUS=1
 
     MOZ_ARG_DISABLE_BOOL(dbus,